Package com.tibco.patterns.grouping

## Enum CsvKeyHandling

- java.lang.Object
- - java.lang.Enum<CsvKeyHandling>
  - - com.tibco.patterns.grouping.CsvKeyHandling

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CsvKeyHandling>`

      public enum CsvKeyHandling
      extends java.lang.Enum<CsvKeyHandling>

  Choices for handling of pair and record keys in a csv input file.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `MapInteger` | Keys are integers but must be mapped.
    `MapString` | Keys are strings and must be mapped.
    `NoMapInteger` | Keys are integer and should be used directly and not mapped.
    `None` | Used when the key is not present.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CsvKeyHandling` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CsvKeyHandling[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### None

          public static final CsvKeyHandling None

      Used when the key is not present. Only applicable to pair keys.

    - #### MapString

          public static final CsvKeyHandling MapString

      Keys are strings and must be mapped.

    - #### MapInteger

          public static final CsvKeyHandling MapInteger

      Keys are integers but must be mapped. Consumes less memory than `MapString`.

    - #### NoMapInteger

          public static final CsvKeyHandling NoMapInteger

      Keys are integer and should be used directly and not mapped. Use only when the keys are dense (numbered 1 to N with few gaps). Consumes the smallest amount of memory.

  - ### Method Detail

    - #### values

          public static CsvKeyHandling[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CsvKeyHandling c : CsvKeyHandling.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CsvKeyHandling valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null